CMSIS-Driver: Data Fields

| CMSIS-Driver Version 2.7.1 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - r -

- range_filtering : ARM_CAN_OBJ_CAPABILITIES
- rb_monitor : ARM_NAND_CAPABILITIES
- read_wait : ARM_MCI_CAPABILITIES
- ReadCD : ARM_DRIVER_MCI
- ReadData : ARM_DRIVER_FLASH , ARM_DRIVER_NAND , ARM_DRIVER_STORAGE
- ReadFrame : ARM_DRIVER_ETH_MAC
- ReadSetupPacket : ARM_DRIVER_USBD
- ReadWP : ARM_DRIVER_MCI
- Receive : ARM_DRIVER_SAI , ARM_DRIVER_SPI , ARM_DRIVER_USART
- reentrant_operation : ARM_CAN_CAPABILITIES , ARM_NAND_CAPABILITIES
- reserved : ARM_CAN_CAPABILITIES , ARM_CAN_MSG_INFO , ARM_CAN_OBJ_CAPABILITIES , ARM_CAN_STATUS , ARM_ETH_LINK_INFO , ARM_ETH_MAC_CAPABILITIES , ARM_FLASH_CAPABILITIES , ARM_FLASH_INFO , ARM_FLASH_STATUS , ARM_I2C_CAPABILITIES , ARM_I2C_STATUS , ARM_MCI_CAPABILITIES , ARM_MCI_STATUS , ARM_NAND_CAPABILITIES , ARM_NAND_ECC_INFO , ARM_NAND_STATUS , ARM_SAI_CAPABILITIES , ARM_SAI_STATUS , ARM_SPI_CAPABILITIES , ARM_SPI_STATUS , ARM_STORAGE_BLOCK_ATTRIBUTES , ARM_STORAGE_CAPABILITIES , ARM_STORAGE_INFO , ARM_STORAGE_STATUS , ARM_USART_CAPABILITIES , ARM_USART_MODEM_STATUS , ARM_USART_STATUS , ARM_USBD_CAPABILITIES , ARM_USBD_STATE , ARM_USBH_CAPABILITIES , ARM_USBH_HCI_CAPABILITIES , ARM_USBH_PORT_STATE , ARM_WIFI_CAPABILITIES , ARM_WIFI_CONFIG_t
- reserved1 : ARM_STORAGE_SECURITY_FEATURES
- reserved2 : ARM_STORAGE_SECURITY_FEATURES
- ResolveAddress : ARM_DRIVER_STORAGE
- restricted_mode : ARM_CAN_CAPABILITIES
- retention_level : ARM_STORAGE_INFO
- ri : ARM_USART_CAPABILITIES , ARM_USART_MODEM_STATUS
- rollback_protection : ARM_STORAGE_SECURITY_FEATURES
- rssi : ARM_WIFI_NET_INFO_t , ARM_WIFI_SCAN_INFO_t
- rst_n : ARM_MCI_CAPABILITIES
- rtr : ARM_CAN_MSG_INFO
- rts : ARM_USART_CAPABILITIES
- rx : ARM_CAN_OBJ_CAPABILITIES
- rx_break : ARM_USART_STATUS
- rx_busy : ARM_SAI_STATUS , ARM_USART_STATUS
- rx_error_count : ARM_CAN_STATUS
- rx_framing_error : ARM_USART_STATUS
- rx_overflow : ARM_SAI_STATUS , ARM_USART_STATUS
- rx_parity_error : ARM_USART_STATUS
- rx_rtr_tx_data : ARM_CAN_OBJ_CAPABILITIES